Debian DLA-2876-1:vim - LTS 安全更新

high Nessus 插件 ID 156575

简介

远程 Debian 主机上缺少一个或多个与安全性相关的更新。

描述

远程 Debian 9 主机上安装的程序包受到 dla-2876 公告中提及的多个漏洞影响。

- Vim 8.0.1263 之前版本中的 fileio.c 会将 .swp 文件的群组所有权设定为编辑器的主群组(可能与原始文件的群组所有权不同),这使得本地用户能够利用适用的群组成员获取敏感信息,例如 /etc/shadow 的所有权归 root: shadow 模式 0640,而 /etc/.shadow.swp 归 root: users 模式 0640 所有,此漏洞与 CVE-2017-1000382 不同。(CVE-2017-17087)

- 在 8.1.0881 之前版本的 Vim 中,用户可避开 rvim 受限模式并通过脚本接口(如 Python、Ruby 或 Lua)执行任意 OS 命令。(CVE-2019-20807)

- vim 容易受到基于堆的缓冲区溢出的影响 (CVE-2021-3778)

- vim 容易受到释放后使用的影响 (CVE-2021-3796)

请注意,Nessus 尚未测试此问题,而是只依靠应用程序自我报告的版本号来判断。

解决方案

升级 vim 程序包。

针对 Debian 9 Stretch,这些问题已在 2 版本中解决

另见

https://security-tracker.debian.org/tracker/source-package/vim

https://www.debian.org/lts/security/2022/dla-2876

https://security-tracker.debian.org/tracker/CVE-2017-17087

https://security-tracker.debian.org/tracker/CVE-2019-20807

https://security-tracker.debian.org/tracker/CVE-2021-3778

https://security-tracker.debian.org/tracker/CVE-2021-3796

https://packages.debian.org/source/stretch/vim

插件详情

严重性: High

ID: 156575

文件名: debian_DLA-2876.nasl

版本: 1.3

类型: local

代理: unix

发布时间: 2022/1/10

最近更新时间: 2022/5/6

支持的传感器: Frictionless Assessment Agent, Nessus Agent

风险信息

CVSS 分数来源: CVE-2021-3796

VPR

风险因素: Medium

分数: 5.9

CVSS v2

风险因素: Medium

基本分数: 6.8

时间分数: 5

矢量: AV:N/AC:M/Au:N/C:P/I:P/A:P

时间矢量: E:U/RL:OF/RC:C

CVSS v3

风险因素: High

基本分数: 7.8

时间分数: 6.8

矢量: CVSS:3.0/AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H

时间矢量: E:U/RL:O/RC:C

漏洞信息

CPE: p-cpe:/a:debian:debian_linux:vim, p-cpe:/a:debian:debian_linux:vim-athena, p-cpe:/a:debian:debian_linux:vim-common, p-cpe:/a:debian:debian_linux:vim-doc, p-cpe:/a:debian:debian_linux:vim-gnome, p-cpe:/a:debian:debian_linux:vim-gtk, p-cpe:/a:debian:debian_linux:vim-gtk3, p-cpe:/a:debian:debian_linux:vim-gui-common, p-cpe:/a:debian:debian_linux:vim-nox, p-cpe:/a:debian:debian_linux:vim-runtime, p-cpe:/a:debian:debian_linux:vim-tiny, p-cpe:/a:debian:debian_linux:xxd, cpe:/o:debian:debian_linux:9.0

必需的 KB 项: Host/local_checks_enabled, Host/Debian/release, Host/Debian/dpkg-l

易利用性: No known exploits are available

补丁发布日期: 2022/1/10

漏洞发布日期: 2017/12/1

参考资料信息

CVE: CVE-2017-17087, CVE-2019-20807, CVE-2021-3778, CVE-2021-3796

IAVB: 2020-B-0053